function status = sinchai_check_stats_processing(subject)
%
% ---------------------Help File------------------------------------------
% sinchai_check_stats_processing.m
%
%
% checks whether stats files are generated by freesurfer in
%       /usr/local/freesurfer/subjects/<subject>/stats/
%
% specify subject and diagnosis type by:
%       
%       sinchai_check_stats_processing('<subject>','<type>');
%
% Written by Sinchai Tsao
% PhD Candidate Dept BME, USC
% Research Asst, Biomedical Imaging Laboratory,Dept of Radiology and BME,USC
% on Oct 9, 2008
% ------------------------------------------------------------------------
%


cd(['/usr/local/freesurfer/subjects/' subject '/stats/']);

dirList = dir;

if length(dirList)>3
    status = 1;
    fprintf('\n\nStats have been generated by Freesurfer\n\n');
else
    status = 0;
    fprintf('\n\nERROR:Stats have NOT been generated by Freesurfer\n\nCheck Talaraich and rerun Freesufer\n\n');
end